summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorB. Stack <bgstack15@gmail.com>2022-07-03 23:32:18 -0400
committerB. Stack <bgstack15@gmail.com>2022-07-03 23:32:18 -0400
commit956b2cefb49dff2c273c84782646aa799af087f1 (patch)
treeec168419081fae4a26a5b6aa90b22c901c9a7ed4
parentuse lw_version tag on "source" repo (diff)
downloadlibrewolf-debian-956b2cefb49dff2c273c84782646aa799af087f1.tar.gz
librewolf-debian-956b2cefb49dff2c273c84782646aa799af087f1.tar.bz2
librewolf-debian-956b2cefb49dff2c273c84782646aa799af087f1.zip
disable webrender_ffi, and v102.0 rc1
-rw-r--r--scripts/prep-librewolf-dpkg.conf6
-rwxr-xr-xscripts/prep-librewolf-dpkg.sh10
2 files changed, 8 insertions, 8 deletions
diff --git a/scripts/prep-librewolf-dpkg.conf b/scripts/prep-librewolf-dpkg.conf
index 00fa80c..ad58075 100644
--- a/scripts/prep-librewolf-dpkg.conf
+++ b/scripts/prep-librewolf-dpkg.conf
@@ -4,11 +4,11 @@
# Available options for DISTRO: debian
DISTRO=${DISTRO:-'debian'}
# current version of Firefox package in target distro
-distro_firefox_version=${distro_firefox_version:-'101.0.1-1'}
+distro_firefox_version=${distro_firefox_version:-'102.0-1'}
# current version of Firefox, as defined by name of the orig tarball.
-firefox_version=${firefox_version:-'101.0.1'}
+firefox_version=${firefox_version:-'102.0'}
# Tag for LibreWolf linux repo
-librewolf_version=${librewolf_version:-'101.0.1-1'}
+librewolf_version=${librewolf_version:-'102.0-2'}
settings_commit=${settings_commit:-'master'}
CI_PROJECT_DIR=${CI_PROJECT_DIR:-$(realpath $(dirname $0)/../)}
output_dir=${CI_PROJECT_DIR}/out
diff --git a/scripts/prep-librewolf-dpkg.sh b/scripts/prep-librewolf-dpkg.sh
index 9055c2f..12667fc 100755
--- a/scripts/prep-librewolf-dpkg.sh
+++ b/scripts/prep-librewolf-dpkg.sh
@@ -80,9 +80,9 @@ test -z "${SKIP_EXTRACT}" && {
# Download git sources
test -z "${SKIP_GIT}" && {
- git clone "${librewolf_source_url}" ${git_source_dir}/source || : ; ( cd "${git_source_dir}/source" ; git checkout "${librewolf_version}" ; git pull ; )
- git clone "${librewolf_settings_url}" ${git_source_dir}/settings || : ; ( cd "${git_source_dir}/settings" ; git checkout master ; git pull ; )
- git clone "${librewolf_linux_url}" ${git_source_dir}/linux || : ; ( cd "${git_source_dir}/linux" ; git checkout master ; git pull ; git checkout "v${librewolf_version}" ; )
+ git clone "${librewolf_source_url}" ${git_source_dir}/source || : ; ( cd "${git_source_dir}/source" ; git checkout master || git checkout main ; git pull ; git checkout "${librewolf_version}" ; )
+ git clone "${librewolf_settings_url}" ${git_source_dir}/settings || : ; ( cd "${git_source_dir}/settings" ; git checkout master || git checkout main ; git pull ; )
+ git clone "${librewolf_linux_url}" ${git_source_dir}/linux || : ; ( cd "${git_source_dir}/linux" ; git checkout master || git checkout main ; git pull ; git checkout "v${librewolf_version}" ; )
}
#####################################
@@ -198,14 +198,14 @@ else
"${debian_dir}"/patches/librewolf/
awk -F'/' '{print "librewolf/"$NF}' "${git_source_dir}"/source/assets/patches.txt | \
sed -r -e 's@$@ -p1@' -e '/vpn-ad/d' >> "${debian_dir}/patches/series"
- echo "librewolf/webrender_ffi.patch -p1" >> "${debian_dir}/patches/series"
+ #echo "librewolf/webrender_ffi.patch -p1" >> "${debian_dir}/patches/series"
# added 101.0.1
# ref: https://raw.githubusercontent.com/canonical/firefox-snap/5622734942524846fb0eb7108918c8cd8557fde3/patches/fix-ftbfs-newer-cbindgen.patch
# ref: https://bugzilla.mozilla.org/show_bug.cgi?id=1773630
# ref: https://gitlab.com/librewolf-community/browser/gentoo/-/issues/42#note_985094574
# ref: https://forums.gentoo.org/viewtopic-p-8718512.html?sid=b090546e8d9bcd60ff775c32d04e1743
# ref: https://www.google.com/search?hl=en&q=build%2Dbrowser%2Fdist%2Finclude%2Fmozilla%2Fwebrender%2Fwebrender_ffi.h%3A103
- test -n "1" && cat <<EOF >"${debian_dir}/patches/librewolf/webrender_ffi.patch"
+ test -n "" && cat <<EOF >"${debian_dir}/patches/librewolf/webrender_ffi.patch"
Description: Remove an extra constant definition that is now being generated by newer versions of cbindgen (0.24), and causing build failures because it is defined in several places.
Author: Olivier Tilloy <olivier.tilloy@canonical.com>
Bug: https://bugzilla.mozilla.org/show_bug.cgi?id=1773259
bgstack15